plus de php apres upgrade

Le
Aux Saveurs Gourmandes
Ce matin je me décide a upgrader mon serveur apache php mysql (voir
copier coller ci dessous)
depuis plus de php ! le serveur fonction en html par contre.
Je ne voit plus quoi faire , voici un copier collé de ma console au
moment de l'upgrade
merci de toute aide le serveur est en prod .. suis dans la m.. !

Guy


ultimate:~# apt-get install apache2
Lecture des listes de paquets Fait
Construction de l'arbre des dépendances
Lecture des informations d'état Fait
Les paquets supplémentaires suivants seront installés :
apache2-mpm-worker apache2.2-common php5-cgi php5-cli php5-common
php5-gd php5-mcrypt php5-mysql squirrelmail
Paquets suggérés :
apache2-doc apache2-suexec apache2-suexec-custom php-pear
squirrelmail-decode imapproxy php5-ldap php4-ldap
Les paquets suivants seront ENLEVÉS :
apache2-mpm-prefork libapache2-mod-php5 php5 phpsysinfo
Les NOUVEAUX paquets suivants seront installés :
apache2-mpm-worker php5-cgi
Les paquets suivants seront mis à jour :
apache2 apache2.2-common php5-cli php5-common php5-gd php5-mcrypt
php5-mysql squirrelmail
8 mis à jour, 2 nouvellement installés, 4 à enlever et 195 non mis à jour.
Il est nécessaire de prendre 9535ko dans les archives.
Après cette opération, 4133ko d'espace disque supplémentaires seront
utilisés.
Souhaitez-vous continuer [O/n] ?
Réception de : 1 http://security.debian.org lenny/updates/main apache2
2.2.9-10+lenny3 [44,6kB]
Réception de : 2 http://ftp.fr.debian.org lenny/main squirrelmail
2:1.4.15-4+lenny2 [609kB]
Réception de : 3 http://security.debian.org lenny/updates/main
apache2.2-common 2.2.9-10+lenny3 [782kB]
Réception de : 4 http://ftp.fr.debian.org lenny/main php5-cli
5.2.6.dfsg.1-1+lenny3 [2475kB]
Réception de : 5 http://security.debian.org lenny/updates/main
apache2-mpm-worker 2.2.9-10+lenny3 [240kB]
Réception de : 6 http://ftp.fr.debian.org lenny/main php5-mysql
5.2.6.dfsg.1-1+lenny3 [65,6kB]
Réception de : 7 http://ftp.fr.debian.org lenny/main php5-mcrypt
5.2.6.dfsg.1-1+lenny3 [12,9kB]
Réception de : 8 http://ftp.fr.debian.org lenny/main php5-gd
5.2.6.dfsg.1-1+lenny3 [32,4kB]
Réception de : 9 http://ftp.fr.debian.org lenny/main php5-common
5.2.6.dfsg.1-1+lenny3 [363kB]
Réception de : 10 http://ftp.fr.debian.org lenny/main php5-cgi
5.2.6.dfsg.1-1+lenny3 [4910kB]
9535ko réceptionnés en 21s (443ko/s)
(Lecture de la base de données 213012 fichiers et répertoires déjà
installés.)
Préparation du remplacement de squirrelmail 2:1.4.15-4 (en utilisant
/squirrelmail_2%3a1.4.15-4+lenny2_all.deb)
Dépaquetage de la mise à jour de squirrelmail
Traitement des actions différées (« triggers ») pour « man-db »
(Lecture de la base de données 213007 fichiers et répertoires déjà
installés.)
Suppression de phpsysinfo
Suppression de php5
dpkg : libapache2-mod-php5 : problème de dépendance, mais suppression
comme demandé :
gallery dépend de php5 | php5-cgi | libapache2-mod-php5 | php4 |
php4-cgi | libapache2-mod-php4 ; cependant :
Le paquet php5 n'est pas installé.
Le paquet php5-cgi n'est pas installé.
Le paquet libapache2-mod-php5 doit être supprimé.
Le paquet php4 n'est pas installé.
Le paquet php4-cgi n'est pas installé.
Le paquet libapache2-mod-php4 n'est pas installé.
phpmyadmin dépend de libapache2-mod-php5 | libapache-mod-php5 |
php5-cgi | php5 | libapache2-mod-php4 | libapache-mod-php4 | php4 |
php4-cgi ; cependant :
Le paquet libapache2-mod-php5 doit être supprimé.
Le paquet libapache-mod-php5 n'est pas installé.
Le paquet php5-cgi n'est pas installé.
Le paquet php5 n'est pas installé.
Le paquet libapache2-mod-php4 n'est pas installé.
Le paquet libapache-mod-php4 n'est pas installé.
Le paquet php4 n'est pas installé.
Le paquet php4-cgi n'est pas installé.
Suppression de libapache2-mod-php5
Module php5 disabled.
Run '/etc/init.d/apache2 restart' to activate new configuration!
Traitement des actions différées (« triggers ») pour « man-db »
(Lecture de la base de données 212859 fichiers et répertoires déjà
installés.)
Préparation du remplacement de apache2 2.2.9-10+lenny2 (en utilisant
/apache2_2.2.9-10+lenny3_all.deb)
Dépaquetage de la mise à jour de apache2
(Lecture de la base de données 212854 fichiers et répertoires déjà
installés.)
Suppression de apache2-mpm-prefork
Stopping web server: apache2apache2: Could not reliably determine the
server's fully qualified domain name, using 127.0.0.1 for ServerName
waiting .
(Lecture de la base de données 212850 fichiers et répertoires déjà
installés.)
Préparation du remplacement de apache2.2-common 2.2.9-10+lenny2 (en
utilisant /apache2.2-common_2.2.9-10+lenny3_i386.deb)
Dépaquetage de la mise à jour de apache2.2-common
Sélection du paquet apache2-mpm-worker précédemment désélectionné.
Dépaquetage de apache2-mpm-worker (à partir de
/apache2-mpm-worker_2.2.9-10+lenny3_i386.deb)
Préparation du remplacement de php5-cli 5.2.6.dfsg.1-1+lenny2 (en
utilisant /php5-cli_5.2.6.dfsg.1-1+lenny3_i386.deb)
Dépaquetage de la mise à jour de php5-cli
Préparation du remplacement de php5-mysql 5.2.6.dfsg.1-1+lenny2 (en
utilisant /php5-mysql_5.2.6.dfsg.1-1+lenny3_i386.deb)
Dépaquetage de la mise à jour de php5-mysql
Préparation du remplacement de php5-mcrypt 5.2.6.dfsg.1-1+lenny2 (en
utilisant /php5-mcrypt_5.2.6.dfsg.1-1+lenny3_i386.deb)
Dépaquetage de la mise à jour de php5-mcrypt
Préparation du remplacement de php5-gd 5.2.6.dfsg.1-1+lenny2 (en
utilisant /php5-gd_5.2.6.dfsg.1-1+lenny3_i386.deb)
Dépaquetage de la mise à jour de php5-gd
Préparation du remplacement de php5-common 5.2.6.dfsg.1-1+lenny2 (en
utilisant /php5-common_5.2.6.dfsg.1-1+lenny3_i386.deb)
Dépaquetage de la mise à jour de php5-common
Sélection du paquet php5-cgi précédemment désélectionné.
Dépaquetage de php5-cgi (à partir de
/php5-cgi_5.2.6.dfsg.1-1+lenny3_i386.deb)
Traitement des actions différées (« triggers ») pour « man-db »
Paramétrage de apache2.2-common (2.2.9-10+lenny3)
Paramétrage de apache2-mpm-worker (2.2.9-10+lenny3)
Starting web server: apache2apache2: Could not reliably determine the
server's fully qualified domain name, using 127.0.0.1 for ServerName
.
Paramétrage de apache2 (2.2.9-10+lenny3)
Paramétrage de php5-common (5.2.6.dfsg.1-1+lenny3)
Paramétrage de php5-cgi (5.2.6.dfsg.1-1+lenny3)

Creating config file /etc/php5/cgi/php.ini with new version
Paramétrage de squirrelmail (2:1.4.15-4+lenny2)
Run /usr/sbin/squirrelmail-configure as root to configure/upgrade config.
Paramétrage de php5-cli (5.2.6.dfsg.1-1+lenny3)
Paramétrage de php5-mysql (5.2.6.dfsg.1-1+lenny3)
Paramétrage de php5-mcrypt (5.2.6.dfsg.1-1+lenny3)
Paramétrage de php5-gd (5.2.6.dfsg.1-1+lenny3)
ultimate:~# /etc/ini
init.d/ initramfs-tools/
ultimate:~# /etc/init.d/apa
apache apache2
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2apache2: Could not reliably determine the
server's fully qualified domain name, using 127.0.0.1 for ServerName
waiting apache2: Could not reliably determine the server's fully
qualified domain name, using 127.0.0.1 for ServerName
.
ultimate:~# apt-get install php5
Lecture des listes de paquets Fait
Construction de l'arbre des dépendances
Lecture des informations d'état Fait
Les NOUVEAUX paquets suivants seront installés :
php5
0 mis à jour, 1 nouvellement installés, 0 à enlever et 195 non mis à jour.
Il est nécessaire de prendre 1078o dans les archives.
Après cette opération, 20,5ko d'espace disque supplémentaires seront
utilisés.
Réception de : 1 http://ftp.fr.debian.org lenny/main php5
5.2.6.dfsg.1-1+lenny3 [1078B]
1078o réceptionnés en 0s (12,7ko/s)
Sélection du paquet php5 précédemment désélectionné.
(Lecture de la base de données 212866 fichiers et répertoires déjà
installés.)
Dépaquetage de php5 (à partir de /php5_5.2.6.dfsg.1-1+lenny3_all.deb)
Paramétrage de php5 (5.2.6.dfsg.1-1+lenny3)
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2apache2: Could not reliably determine the
server's fully qualified domain name, using 127.0.0.1 for ServerName
waiting apache2: Could not reliably determine the server's fully
qualified domain name, using 127.0.0.1 for ServerName
.
ultimate:~# lo
loadkeys locate.findutils logger logtail
loadshlib lockfile login logtail2
local lockfile-create logname look
locale lockfile-remove logout lorder
localedef lockfile-touch logresolve losetup
locale-gen lockmail logrotate
locate lockmail.maildrop logsave
ultimate:~# loa
loadkeys loadshlib
ultimate:~# mod
modconf modprobe modules-config
modinfo module-assistant
ultimate:~# a2
a2dismod a2dissite a2enmod a2ensite a2p a2ping
ultimate:~# a2e
a2enmod a2ensite
ultimate:~# a2enmod php5
Enabling module php5.
Run '/etc/init.d/apache2 restart' to activate new configuration!
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2We failed to correctly shutdown apache, so
we're now killing all running apache processes. This is almost certainly
suboptimal, so please make sure your system is working as you'd expect
now! (warning).
waiting apache2: Syntax error on line 185 of
/etc/apache2/apache2.conf: Syntax error on line 1 of
/etc/apache2/mods-enabled/php5.load: Cannot load
/usr/lib/apache2/modules/libphp5.so into server:
/usr/lib/apache2/modules/libphp5.so: cannot open shared object file: No
such file or directory
failed!
ultimate:~# mce
mcedit mcedit-debian
ultimate:~# mcedit /etc/apache
apache/ apache2/ apache-perl/ apache-ssl/
ultimate:~# mcedit /etc/apache2/apache2.conf

ultimate:~# a2dmod php5
a2dismod a2dissite
ultimate:~# a2dismod php5
Module php5 disabled.
Run '/etc/init.d/apache2 restart' to activate new configuration!
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2apache2: Could not reliably determine the
server's fully qualified domain name, using 127.0.0.1 for ServerName
apache2: Could not reliably determine the server's fully qualified
domain name, using 127.0.0.1 for ServerName
.
ultimate:~#
ultimate:~#
ultimate:~# apt-cache search libidn
libidn11-dev - Development files GNU libidn, implementation of IETF IDN spec
libidna-punycode-perl - encodes Unicode string in Punycode
libnet-libidn-perl - Perl bindings for GNU Libidn
php5-idn - PHP API for the IDNA library
idn - Interface en ligne de commande et pour emacs à GNU libidn
libidn11 - Bibliothèque GNU libidn, implémentation des spécifications
IDN IETF
ultimate:~#
ultimate:~# mce /usr/lib/apache2/modules/libphp5.so
mcedit mcedit-debian
ultimate:~# mcedit /usr/lib/apache2/modules/libphp5.so

ultimate:~# mc /usr/lib/apache2/modules/

ultimate:~# apt-cache search libphp5.so
ultimate:~# locate
ultimate:~# locate libphp5.so
/usr/lib/apache2/modules/libphp5.so
ultimate:~# mc /etc/apa
apache/ apache2/ apache-perl/ apache-ssl/
ultimate:~# mc /etc/apache2

ultimate:~#
ultimate:~# apt-get install libapache2-mod-php5
Lecture des listes de paquets Fait
Construction de l'arbre des dépendances
Lecture des informations d'état Fait
Les paquets supplémentaires suivants seront installés :
apache2-mpm-prefork
Paquets suggérés :
php-pear
Les paquets suivants seront ENLEVÉS :
apache2-mpm-worker
Les NOUVEAUX paquets suivants seront installés :
apache2-mpm-prefork libapache2-mod-php5
0 mis à jour, 2 nouvellement installés, 1 à enlever et 195 non mis à jour.
Il est nécessaire de prendre 2721ko dans les archives.
Après cette opération, 5554ko d'espace disque supplémentaires seront
utilisés.
Souhaitez-vous continuer [O/n] ?
Réception de : 1 http://ftp.fr.debian.org lenny/main libapache2-mod-php5
5.2.6.dfsg.1-1+lenny3 [2484kB]
Réception de : 2 http://security.debian.org lenny/updates/main
apache2-mpm-prefork 2.2.9-10+lenny3 [237kB]
2721ko réceptionnés en 7s (384ko/s)
dpkg : apache2-mpm-worker : problème de dépendance, mais suppression
comme demandé :
apache2 dépend de apache2-mpm-worker (>= 2.2.9-10+lenny3) |
apache2-mpm-prefork (>= 2.2.9-10+lenny3) | apache2-mpm-event (>=
2.2.9-10+lenny3) ; cependant :
Le paquet apache2-mpm-worker doit être supprimé.
Le paquet apache2-mpm-prefork n'est pas installé.
Le paquet apache2-mpm-event n'est pas installé.
(Lecture de la base de données 212862 fichiers et répertoires déjà
installés.)
Suppression de apache2-mpm-worker
Stopping web server: apache2apache2: Could not reliably determine the
server's fully qualified domain name, using 127.0.0.1 for ServerName
waiting .
Sélection du paquet apache2-mpm-prefork précédemment désélectionné.
(Lecture de la base de données 212858 fichiers et répertoires déjà
installés.)
Dépaquetage de apache2-mpm-prefork (à partir de
/apache2-mpm-prefork_2.2.9-10+lenny3_i386.deb)
Sélection du paquet libapache2-mod-php5 précédemment désélectionné.
Dépaquetage de libapache2-mod-php5 (à partir de
/libapache2-mod-php5_5.2.6.dfsg.1-1+lenny3_i386.deb)
Paramétrage de apache2-mpm-prefork (2.2.9-10+lenny3)
Starting web server: apache2apache2: Could not reliably determine the
server's fully qualified domain name, using 127.0.0.1 for ServerName
.
Paramétrage de libapache2-mod-php5 (5.2.6.dfsg.1-1+lenny3)
Reloading web server config: apache2apache2: Could not reliably
determine the server's fully qualified domain name, using 127.0.0.1 for
ServerName
.
ultimate:~# a2enmod php5
Module php5 already enabled
ultimate:~# mc /etc/apache2

ultimate:~# apt-get install php5
Lecture des listes de paquets Fait
Construction de l'arbre des dépendances
Lecture des informations d'état Fait
php5 est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 195 non mis à jour.
ultimate:~#

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
webmaster
Le #19667891
Salut

Que te dis tes log apache /var/log/apache2/error.log

Philippe

Envoyé de mon iPhone

Le 30 juin 2009 à 10:17, Aux Saveurs Gourmandes écrit :

Ce matin je me décide a upgrader mon serveur apache php mysql... (vo
ir copier coller ci dessous)
depuis... plus de php ! le serveur fonction en html par contre.
Je ne voit plus quoi faire , voici un copier collé de ma console au
moment de l'upgrade
merci de toute aide ... le serveur est en prod .. suis dans la
m..... !

Guy


ultimate:~# apt-get install apache2
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
apache2-mpm-worker apache2.2-common php5-cgi php5-cli php5-common
php5-gd php5-mcrypt php5-mysql squirrelmail
Paquets suggérés :
apache2-doc apache2-suexec apache2-suexec-custom php-pear
squirrelmail-decode imapproxy php5-ldap php4-ldap
Les paquets suivants seront ENLEVÉS :
apache2-mpm-prefork libapache2-mod-php5 php5 phpsysinfo
Les NOUVEAUX paquets suivants seront installés :
apache2-mpm-worker php5-cgi
Les paquets suivants seront mis à jour :
apache2 apache2.2-common php5-cli php5-common php5-gd php5-mcrypt
php5-mysql squirrelmail
8 mis à jour, 2 nouvellement installés, 4 à enlever et 195 non mis
à jour.
Il est nécessaire de prendre 9535ko dans les archives.
Après cette opération, 4133ko d'espace disque supplémentaires
seront utilisés.
Souhaitez-vous continuer [O/n] ?
Réception de : 1 http://security.debian.org lenny/updates/main apach
e2 2.2.9-10+lenny3 [44,6kB]
Réception de : 2 http://ftp.fr.debian.org lenny/main squirrelmail 2:
1.4.15-4+lenny2 [609kB]
Réception de : 3 http://security.debian.org lenny/updates/main apach
e2.2-common 2.2.9-10+lenny3 [782kB]
Réception de : 4 http://ftp.fr.debian.org lenny/main php5-cli 5.2.6.
dfsg.1-1+lenny3 [2475kB]
Réception de : 5 http://security.debian.org lenny/updates/main apach
e2-mpm-worker 2.2.9-10+lenny3 [240kB]
Réception de : 6 http://ftp.fr.debian.org lenny/main php5-mysql 5.2.
6.dfsg.1-1+lenny3 [65,6kB]
Réception de : 7 http://ftp.fr.debian.org lenny/main php5-mcrypt 5.2
.6.dfsg.1-1+lenny3 [12,9kB]
Réception de : 8 http://ftp.fr.debian.org lenny/main php5-gd 5.2.6.d
fsg.1-1+lenny3 [32,4kB]
Réception de : 9 http://ftp.fr.debian.org lenny/main php5-common 5.2
.6.dfsg.1-1+lenny3 [363kB]
Réception de : 10 http://ftp.fr.debian.org lenny/main php5-cgi 5.2.6
.dfsg.1-1+lenny3 [4910kB]
9535ko réceptionnés en 21s (443ko/s)
(Lecture de la base de données... 213012 fichiers et répertoir es
déjà installés.)
Préparation du remplacement de squirrelmail 2:1.4.15-4 (en utilisant
.../squirrelmail_2%3a1.4.15-4+lenny2_all.deb) ...
Dépaquetage de la mise à jour de squirrelmail ...
Traitement des actions différées (« triggers ») pour « man-db ».
..
(Lecture de la base de données... 213007 fichiers et répertoir es
déjà installés.)
Suppression de phpsysinfo ...
Suppression de php5 ...
dpkg : libapache2-mod-php5 : problème de dépendance, mais suppressio
n comme demandé :
gallery dépend de php5 | php5-cgi | libapache2-mod-php5 | php4 | php
4-cgi | libapache2-mod-php4 ; cependant :
Le paquet php5 n'est pas installé.
Le paquet php5-cgi n'est pas installé.
Le paquet libapache2-mod-php5 doit être supprimé.
Le paquet php4 n'est pas installé.
Le paquet php4-cgi n'est pas installé.
Le paquet libapache2-mod-php4 n'est pas installé.
phpmyadmin dépend de libapache2-mod-php5 | libapache-mod-php5 | php5
-cgi | php5 | libapache2-mod-php4 | libapache-mod-php4 | php4 | php4
-cgi ; cependant :
Le paquet libapache2-mod-php5 doit être supprimé.
Le paquet libapache-mod-php5 n'est pas installé.
Le paquet php5-cgi n'est pas installé.
Le paquet php5 n'est pas installé.
Le paquet libapache2-mod-php4 n'est pas installé.
Le paquet libapache-mod-php4 n'est pas installé.
Le paquet php4 n'est pas installé.
Le paquet php4-cgi n'est pas installé.
Suppression de libapache2-mod-php5 ...
Module php5 disabled.
Run '/etc/init.d/apache2 restart' to activate new configuration!
Traitement des actions différées (« triggers ») pour « man-db ».
..
(Lecture de la base de données... 212859 fichiers et répertoir es
déjà installés.)
Préparation du remplacement de apache2 2.2.9-10+lenny2 (en utilisant
.../apache2_2.2.9-10+lenny3_all.deb) ...
Dépaquetage de la mise à jour de apache2 ...
(Lecture de la base de données... 212854 fichiers et répertoir es
déjà installés.)
Suppression de apache2-mpm-prefork ...
Stopping web server: apache2apache2: Could not reliably determine
the server's fully qualified domain name, using 127.0.0.1 for
ServerName
... waiting .
(Lecture de la base de données... 212850 fichiers et répertoir es
déjà installés.)
Préparation du remplacement de apache2.2-common 2.2.9-10+lenny2 (en
utilisant .../apache2.2-common_2.2.9-10+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de apache2.2-common ...
Sélection du paquet apache2-mpm-worker précédemment désélectionn
é.
Dépaquetage de apache2-mpm-worker (à partir de .../apache2-mpm-worke
r_2.2.9-10+lenny3_i386.deb) ...
Préparation du remplacement de php5-cli 5.2.6.dfsg.1-1+lenny2 (en ut
ilisant .../php5-cli_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de php5-cli ...
Préparation du remplacement de php5-mysql 5.2.6.dfsg.1-1+lenny2 (en
utilisant .../php5-mysql_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de php5-mysql ...
Préparation du remplacement de php5-mcrypt 5.2.6.dfsg.1-1+lenny2 (en
utilisant .../php5-mcrypt_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de php5-mcrypt ...
Préparation du remplacement de php5-gd 5.2.6.dfsg.1-1+lenny2 (en uti
lisant .../php5-gd_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de php5-gd ...
Préparation du remplacement de php5-common 5.2.6.dfsg.1-1+lenny2 (en
utilisant .../php5-common_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de php5-common ...
Sélection du paquet php5-cgi précédemment désélectionné.
Dépaquetage de php5-cgi (à partir de .../php5-cgi_5.2.6.dfsg.1-1+len
ny3_i386.deb) ...
Traitement des actions différées (« triggers ») pour « man-db ».
..
Paramétrage de apache2.2-common (2.2.9-10+lenny3) ...
Paramétrage de apache2-mpm-worker (2.2.9-10+lenny3) ...
Starting web server: apache2apache2: Could not reliably determine
the server's fully qualified domain name, using 127.0.0.1 for
ServerName
.
Paramétrage de apache2 (2.2.9-10+lenny3) ...
Paramétrage de php5-common (5.2.6.dfsg.1-1+lenny3) ...
Paramétrage de php5-cgi (5.2.6.dfsg.1-1+lenny3) ...

Creating config file /etc/php5/cgi/php.ini with new version
Paramétrage de squirrelmail (2:1.4.15-4+lenny2) ...
Run /usr/sbin/squirrelmail-configure as root to configure/upgrade
config.
Paramétrage de php5-cli (5.2.6.dfsg.1-1+lenny3) ...
Paramétrage de php5-mysql (5.2.6.dfsg.1-1+lenny3) ...
Paramétrage de php5-mcrypt (5.2.6.dfsg.1-1+lenny3) ...
Paramétrage de php5-gd (5.2.6.dfsg.1-1+lenny3) ...
ultimate:~# /etc/ini
init.d/ initramfs-tools/
ultimate:~# /etc/init.d/apa
apache apache2
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2apache2: Could not reliably determine
the server's fully qualified domain name, using 127.0.0.1 for
ServerName
... waiting apache2: Could not reliably determine the server's fully
qualified domain name, using 127.0.0.1 for ServerName
.
ultimate:~# apt-get install php5
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les NOUVEAUX paquets suivants seront installés :
php5
0 mis à jour, 1 nouvellement installés, 0 à enlever et 195 non mis
à jour.
Il est nécessaire de prendre 1078o dans les archives.
Après cette opération, 20,5ko d'espace disque supplémentaires
seront utilisés.
Réception de : 1 http://ftp.fr.debian.org lenny/main php5 5.2.6.dfsg
.1-1+lenny3 [1078B]
1078o réceptionnés en 0s (12,7ko/s)
Sélection du paquet php5 précédemment désélecti onné.
(Lecture de la base de données... 212866 fichiers et répertoir es
déjà installés.)
Dépaquetage de php5 (à partir de .../php5_5.2.6.dfsg.1-1+lenny3_all.
deb) ...
Paramétrage de php5 (5.2.6.dfsg.1-1+lenny3) ...
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2apache2: Could not reliably determine
the server's fully qualified domain name, using 127.0.0.1 for
ServerName
... waiting apache2: Could not reliably determine the server's fully
qualified domain name, using 127.0.0.1 for ServerName
.
ultimate:~# lo
loadkeys locate.findutils logger logtail
loadshlib lockfile login logtail2
local lockfile-create logname look
locale lockfile-remove logout lorder
localedef lockfile-touch logresolve losetup
locale-gen lockmail logrotate
locate lockmail.maildrop logsave
ultimate:~# loa
loadkeys loadshlib
ultimate:~# mod
modconf modprobe modules-config
modinfo module-assistant
ultimate:~# a2
a2dismod a2dissite a2enmod a2ensite a2p a2ping
ultimate:~# a2e
a2enmod a2ensite
ultimate:~# a2enmod php5
Enabling module php5.
Run '/etc/init.d/apache2 restart' to activate new configuration!
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2We failed to correctly shutdown
apache, so we're now killing all running apache processes. This is
almost certainly suboptimal, so please make sure your system is
working as you'd expect now! (warning).
... waiting apache2: Syntax error on line 185 of /etc/apache2/
apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/
php5.load: Cannot load /usr/lib/apache2/modules/libphp5.so into
server: /usr/lib/apache2/modules/libphp5.so: cannot open shared
object file: No such file or directory
failed!
ultimate:~# mce
mcedit mcedit-debian
ultimate:~# mcedit /etc/apache
apache/ apache2/ apache-perl/ apache-ssl/
ultimate:~# mcedit /etc/apache2/apache2.conf

ultimate:~# a2dmod php5
a2dismod a2dissite
ultimate:~# a2dismod php5
Module php5 disabled.
Run '/etc/init.d/apache2 restart' to activate new configuration!
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2apache2: Could not reliably determine
the server's fully qualified domain name, using 127.0.0.1 for
ServerName
apache2: Could not reliably determine the server's fully qualified
domain name, using 127.0.0.1 for ServerName
.
ultimate:~#
ultimate:~#
ultimate:~# apt-cache search libidn
libidn11-dev - Development files GNU libidn, implementation of IETF
IDN spec
libidna-punycode-perl - encodes Unicode string in Punycode
libnet-libidn-perl - Perl bindings for GNU Libidn
php5-idn - PHP API for the IDNA library
idn - Interface en ligne de commande et pour emacs à GNU libidn
libidn11 - Bibliothèque GNU libidn, implémentation des
spécifications IDN IETF
ultimate:~#
ultimate:~# mce /usr/lib/apache2/modules/libphp5.so
mcedit mcedit-debian
ultimate:~# mcedit /usr/lib/apache2/modules/libphp5.so

ultimate:~# mc /usr/lib/apache2/modules/

ultimate:~# apt-cache search libphp5.so
ultimate:~# locate
ultimate:~# locate libphp5.so
/usr/lib/apache2/modules/libphp5.so
ultimate:~# mc /etc/apa
apache/ apache2/ apache-perl/ apache-ssl/
ultimate:~# mc /etc/apache2

ultimate:~#
ultimate:~# apt-get install libapache2-mod-php5
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
apache2-mpm-prefork
Paquets suggérés :
php-pear
Les paquets suivants seront ENLEVÉS :
apache2-mpm-worker
Les NOUVEAUX paquets suivants seront installés :
apache2-mpm-prefork libapache2-mod-php5
0 mis à jour, 2 nouvellement installés, 1 à enlever et 195 non mis
à jour.
Il est nécessaire de prendre 2721ko dans les archives.
Après cette opération, 5554ko d'espace disque supplémentaires
seront utilisés.
Souhaitez-vous continuer [O/n] ?
Réception de : 1 http://ftp.fr.debian.org lenny/main libapache2-mod-
php5 5.2.6.dfsg.1-1+lenny3 [2484kB]
Réception de : 2 http://security.debian.org lenny/updates/main apach
e2-mpm-prefork 2.2.9-10+lenny3 [237kB]
2721ko réceptionnés en 7s (384ko/s)
dpkg : apache2-mpm-worker : problème de dépendance, mais suppression
comme demandé :
apache2 dépend de apache2-mpm-worker (>= 2.2.9-10+lenny3) | apache2-
mpm-prefork (>= 2.2.9-10+lenny3) | apache2-mpm-event (>= 2.2.9-10+le
nny3) ; cependant :
Le paquet apache2-mpm-worker doit être supprimé.
Le paquet apache2-mpm-prefork n'est pas installé.
Le paquet apache2-mpm-event n'est pas installé.
(Lecture de la base de données... 212862 fichiers et répertoir es
déjà installés.)
Suppression de apache2-mpm-worker ...
Stopping web server: apache2apache2: Could not reliably determine
the server's fully qualified domain name, using 127.0.0.1 for
ServerName
... waiting .
Sélection du paquet apache2-mpm-prefork précédemment désélectionn
é.
(Lecture de la base de données... 212858 fichiers et répertoir es
déjà installés.)
Dépaquetage de apache2-mpm-prefork (à partir de .../apache2-mpm-pref
ork_2.2.9-10+lenny3_i386.deb) ...
Sélection du paquet libapache2-mod-php5 précédemment désélectionn
é.
Dépaquetage de libapache2-mod-php5 (à partir de .../libapache2-mod-p
hp5_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Paramétrage de apache2-mpm-prefork (2.2.9-10+lenny3) ...
Starting web server: apache2apache2: Could not reliably determine
the server's fully qualified domain name, using 127.0.0.1 for
ServerName
.
Paramétrage de libapache2-mod-php5 (5.2.6.dfsg.1-1+lenny3) ...
Reloading web server config: apache2apache2: Could not reliably
determine the server's fully qualified domain name, using 127.0.0.1
for ServerName
.
ultimate:~# a2enmod php5
Module php5 already enabled
ultimate:~# mc /etc/apache2

ultimate:~# apt-get install php5
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
php5 est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 195 non mis
à jour.
ultimate:~#

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet
"unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS




--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Aux Saveurs Gourmandes
Le #19668081
webmaster a écrit :
Salut

Que te dis tes log apache /var/log/apache2/error.log


rien de spécial, des fichier non trouvé mais rien par rapport à php.Rien
dans le syslog non plus même quand je redémmare apache.
Il me propose les fichier .php a télécharger au lieu de les exécuter

Guy

Philippe

Envoyé de mon iPhone

Le 30 juin 2009 à 10:17, Aux Saveurs Gourmandes écrit :

Ce matin je me décide a upgrader mon serveur apache php mysql...
(voir copier coller ci dessous)
depuis... plus de php ! le serveur fonction en html par contre.
Je ne voit plus quoi faire , voici un copier collé de ma console au
moment de l'upgrade
merci de toute aide ... le serveur est en prod .. suis dans la m..... !

Guy


ultimate:~# apt-get install apache2
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
apache2-mpm-worker apache2.2-common php5-cgi php5-cli php5-common
php5-gd php5-mcrypt php5-mysql squirrelmail
Paquets suggérés :
apache2-doc apache2-suexec apache2-suexec-custom php-pear
squirrelmail-decode imapproxy php5-ldap php4-ldap
Les paquets suivants seront ENLEVÉS :
apache2-mpm-prefork libapache2-mod-php5 php5 phpsysinfo
Les NOUVEAUX paquets suivants seront installés :
apache2-mpm-worker php5-cgi
Les paquets suivants seront mis à jour :
apache2 apache2.2-common php5-cli php5-common php5-gd php5-mcrypt
php5-mysql squirrelmail
8 mis à jour, 2 nouvellement installés, 4 à enlever et 195 non mis à
jour.
Il est nécessaire de prendre 9535ko dans les archives.
Après cette opération, 4133ko d'espace disque supplémentaires seront
utilisés.
Souhaitez-vous continuer [O/n] ?
Réception de : 1 http://security.debian.org lenny/updates/main
apache2 2.2.9-10+lenny3 [44,6kB]
Réception de : 2 http://ftp.fr.debian.org lenny/main squirrelmail
2:1.4.15-4+lenny2 [609kB]
Réception de : 3 http://security.debian.org lenny/updates/main
apache2.2-common 2.2.9-10+lenny3 [782kB]
Réception de : 4 http://ftp.fr.debian.org lenny/main php5-cli
5.2.6.dfsg.1-1+lenny3 [2475kB]
Réception de : 5 http://security.debian.org lenny/updates/main
apache2-mpm-worker 2.2.9-10+lenny3 [240kB]
Réception de : 6 http://ftp.fr.debian.org lenny/main php5-mysql
5.2.6.dfsg.1-1+lenny3 [65,6kB]
Réception de : 7 http://ftp.fr.debian.org lenny/main php5-mcrypt
5.2.6.dfsg.1-1+lenny3 [12,9kB]
Réception de : 8 http://ftp.fr.debian.org lenny/main php5-gd
5.2.6.dfsg.1-1+lenny3 [32,4kB]
Réception de : 9 http://ftp.fr.debian.org lenny/main php5-common
5.2.6.dfsg.1-1+lenny3 [363kB]
Réception de : 10 http://ftp.fr.debian.org lenny/main php5-cgi
5.2.6.dfsg.1-1+lenny3 [4910kB]
9535ko réceptionnés en 21s (443ko/s)
(Lecture de la base de données... 213012 fichiers et répertoires déjà
installés.)
Préparation du remplacement de squirrelmail 2:1.4.15-4 (en
utilisant .../squirrelmail_2%3a1.4.15-4+lenny2_all.deb) ...
Dépaquetage de la mise à jour de squirrelmail ...
Traitement des actions différées (« triggers ») pour « man-db »...
(Lecture de la base de données... 213007 fichiers et répertoires déjà
installés.)
Suppression de phpsysinfo ...
Suppression de php5 ...
dpkg : libapache2-mod-php5 : problème de dépendance, mais suppression
comme demandé :
gallery dépend de php5 | php5-cgi | libapache2-mod-php5 | php4 |
php4-cgi | libapache2-mod-php4 ; cependant :
Le paquet php5 n'est pas installé.
Le paquet php5-cgi n'est pas installé.
Le paquet libapache2-mod-php5 doit être supprimé.
Le paquet php4 n'est pas installé.
Le paquet php4-cgi n'est pas installé.
Le paquet libapache2-mod-php4 n'est pas installé.
phpmyadmin dépend de libapache2-mod-php5 | libapache-mod-php5 |
php5-cgi | php5 | libapache2-mod-php4 | libapache-mod-php4 | php4 |
php4-cgi ; cependant :
Le paquet libapache2-mod-php5 doit être supprimé.
Le paquet libapache-mod-php5 n'est pas installé.
Le paquet php5-cgi n'est pas installé.
Le paquet php5 n'est pas installé.
Le paquet libapache2-mod-php4 n'est pas installé.
Le paquet libapache-mod-php4 n'est pas installé.
Le paquet php4 n'est pas installé.
Le paquet php4-cgi n'est pas installé.
Suppression de libapache2-mod-php5 ...
Module php5 disabled.
Run '/etc/init.d/apache2 restart' to activate new configuration!
Traitement des actions différées (« triggers ») pour « man-db »...
(Lecture de la base de données... 212859 fichiers et répertoires déjà
installés.)
Préparation du remplacement de apache2 2.2.9-10+lenny2 (en
utilisant .../apache2_2.2.9-10+lenny3_all.deb) ...
Dépaquetage de la mise à jour de apache2 ...
(Lecture de la base de données... 212854 fichiers et répertoires déjà
installés.)
Suppression de apache2-mpm-prefork ...
Stopping web server: apache2apache2: Could not reliably determine the
server's fully qualified domain name, using 127.0.0.1 for ServerName
... waiting .
(Lecture de la base de données... 212850 fichiers et répertoires déjà
installés.)
Préparation du remplacement de apache2.2-common 2.2.9-10+lenny2 (en
utilisant .../apache2.2-common_2.2.9-10+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de apache2.2-common ...
Sélection du paquet apache2-mpm-worker précédemment désélectionné.
Dépaquetage de apache2-mpm-worker (à partir de
.../apache2-mpm-worker_2.2.9-10+lenny3_i386.deb) ...
Préparation du remplacement de php5-cli 5.2.6.dfsg.1-1+lenny2 (en
utilisant .../php5-cli_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de php5-cli ...
Préparation du remplacement de php5-mysql 5.2.6.dfsg.1-1+lenny2 (en
utilisant .../php5-mysql_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de php5-mysql ...
Préparation du remplacement de php5-mcrypt 5.2.6.dfsg.1-1+lenny2
(en utilisant .../php5-mcrypt_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de php5-mcrypt ...
Préparation du remplacement de php5-gd 5.2.6.dfsg.1-1+lenny2 (en
utilisant .../php5-gd_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de php5-gd ...
Préparation du remplacement de php5-common 5.2.6.dfsg.1-1+lenny2
(en utilisant .../php5-common_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Dépaquetage de la mise à jour de php5-common ...
Sélection du paquet php5-cgi précédemment désélectionné.
Dépaquetage de php5-cgi (à partir de
.../php5-cgi_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de apache2.2-common (2.2.9-10+lenny3) ...
Paramétrage de apache2-mpm-worker (2.2.9-10+lenny3) ...
Starting web server: apache2apache2: Could not reliably determine the
server's fully qualified domain name, using 127.0.0.1 for ServerName
.
Paramétrage de apache2 (2.2.9-10+lenny3) ...
Paramétrage de php5-common (5.2.6.dfsg.1-1+lenny3) ...
Paramétrage de php5-cgi (5.2.6.dfsg.1-1+lenny3) ...

Creating config file /etc/php5/cgi/php.ini with new version
Paramétrage de squirrelmail (2:1.4.15-4+lenny2) ...
Run /usr/sbin/squirrelmail-configure as root to configure/upgrade
config.
Paramétrage de php5-cli (5.2.6.dfsg.1-1+lenny3) ...
Paramétrage de php5-mysql (5.2.6.dfsg.1-1+lenny3) ...
Paramétrage de php5-mcrypt (5.2.6.dfsg.1-1+lenny3) ...
Paramétrage de php5-gd (5.2.6.dfsg.1-1+lenny3) ...
ultimate:~# /etc/ini
init.d/ initramfs-tools/
ultimate:~# /etc/init.d/apa
apache apache2
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2apache2: Could not reliably determine
the server's fully qualified domain name, using 127.0.0.1 for ServerName
... waiting apache2: Could not reliably determine the server's fully
qualified domain name, using 127.0.0.1 for ServerName
.
ultimate:~# apt-get install php5
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les NOUVEAUX paquets suivants seront installés :
php5
0 mis à jour, 1 nouvellement installés, 0 à enlever et 195 non mis à
jour.
Il est nécessaire de prendre 1078o dans les archives.
Après cette opération, 20,5ko d'espace disque supplémentaires seront
utilisés.
Réception de : 1 http://ftp.fr.debian.org lenny/main php5
5.2.6.dfsg.1-1+lenny3 [1078B]
1078o réceptionnés en 0s (12,7ko/s)
Sélection du paquet php5 précédemment désélectionné.
(Lecture de la base de données... 212866 fichiers et répertoires déjà
installés.)
Dépaquetage de php5 (à partir de
.../php5_5.2.6.dfsg.1-1+lenny3_all.deb) ...
Paramétrage de php5 (5.2.6.dfsg.1-1+lenny3) ...
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2apache2: Could not reliably determine
the server's fully qualified domain name, using 127.0.0.1 for ServerName
... waiting apache2: Could not reliably determine the server's fully
qualified domain name, using 127.0.0.1 for ServerName
.
ultimate:~# lo
loadkeys locate.findutils logger logtail
loadshlib lockfile login logtail2
local lockfile-create logname look
locale lockfile-remove logout lorder
localedef lockfile-touch logresolve losetup
locale-gen lockmail logrotate
locate lockmail.maildrop logsave
ultimate:~# loa
loadkeys loadshlib
ultimate:~# mod
modconf modprobe modules-config
modinfo module-assistant
ultimate:~# a2
a2dismod a2dissite a2enmod a2ensite a2p a2ping
ultimate:~# a2e
a2enmod a2ensite
ultimate:~# a2enmod php5
Enabling module php5.
Run '/etc/init.d/apache2 restart' to activate new configuration!
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2We failed to correctly shutdown apache,
so we're now killing all running apache processes. This is almost
certainly suboptimal, so please make sure your system is working as
you'd expect now! (warning).
... waiting apache2: Syntax error on line 185 of
/etc/apache2/apache2.conf: Syntax error on line 1 of
/etc/apache2/mods-enabled/php5.load: Cannot load
/usr/lib/apache2/modules/libphp5.so into server:
/usr/lib/apache2/modules/libphp5.so: cannot open shared object file:
No such file or directory
failed!
ultimate:~# mce
mcedit mcedit-debian
ultimate:~# mcedit /etc/apache
apache/ apache2/ apache-perl/ apache-ssl/
ultimate:~# mcedit /etc/apache2/apache2.conf

ultimate:~# a2dmod php5
a2dismod a2dissite
ultimate:~# a2dismod php5
Module php5 disabled.
Run '/etc/init.d/apache2 restart' to activate new configuration!
ultimate:~# /etc/init.d/apache2 restart
Restarting web server: apache2apache2: Could not reliably determine
the server's fully qualified domain name, using 127.0.0.1 for ServerName
apache2: Could not reliably determine the server's fully qualified
domain name, using 127.0.0.1 for ServerName
.
ultimate:~#
ultimate:~#
ultimate:~# apt-cache search libidn
libidn11-dev - Development files GNU libidn, implementation of IETF
IDN spec
libidna-punycode-perl - encodes Unicode string in Punycode
libnet-libidn-perl - Perl bindings for GNU Libidn
php5-idn - PHP API for the IDNA library
idn - Interface en ligne de commande et pour emacs à GNU libidn
libidn11 - Bibliothèque GNU libidn, implémentation des spécifications
IDN IETF
ultimate:~#
ultimate:~# mce /usr/lib/apache2/modules/libphp5.so
mcedit mcedit-debian
ultimate:~# mcedit /usr/lib/apache2/modules/libphp5.so

ultimate:~# mc /usr/lib/apache2/modules/

ultimate:~# apt-cache search libphp5.so
ultimate:~# locate
ultimate:~# locate libphp5.so
/usr/lib/apache2/modules/libphp5.so
ultimate:~# mc /etc/apa
apache/ apache2/ apache-perl/ apache-ssl/
ultimate:~# mc /etc/apache2

ultimate:~#
ultimate:~# apt-get install libapache2-mod-php5
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Les paquets supplémentaires suivants seront installés :
apache2-mpm-prefork
Paquets suggérés :
php-pear
Les paquets suivants seront ENLEVÉS :
apache2-mpm-worker
Les NOUVEAUX paquets suivants seront installés :
apache2-mpm-prefork libapache2-mod-php5
0 mis à jour, 2 nouvellement installés, 1 à enlever et 195 non mis à
jour.
Il est nécessaire de prendre 2721ko dans les archives.
Après cette opération, 5554ko d'espace disque supplémentaires seront
utilisés.
Souhaitez-vous continuer [O/n] ?
Réception de : 1 http://ftp.fr.debian.org lenny/main
libapache2-mod-php5 5.2.6.dfsg.1-1+lenny3 [2484kB]
Réception de : 2 http://security.debian.org lenny/updates/main
apache2-mpm-prefork 2.2.9-10+lenny3 [237kB]
2721ko réceptionnés en 7s (384ko/s)
dpkg : apache2-mpm-worker : problème de dépendance, mais
suppression comme demandé :
apache2 dépend de apache2-mpm-worker (>= 2.2.9-10+lenny3) |
apache2-mpm-prefork (>= 2.2.9-10+lenny3) | apache2-mpm-event (>=
2.2.9-10+lenny3) ; cependant :
Le paquet apache2-mpm-worker doit être supprimé.
Le paquet apache2-mpm-prefork n'est pas installé.
Le paquet apache2-mpm-event n'est pas installé.
(Lecture de la base de données... 212862 fichiers et répertoires déjà
installés.)
Suppression de apache2-mpm-worker ...
Stopping web server: apache2apache2: Could not reliably determine the
server's fully qualified domain name, using 127.0.0.1 for ServerName
... waiting .
Sélection du paquet apache2-mpm-prefork précédemment désélectionné.
(Lecture de la base de données... 212858 fichiers et répertoires déjà
installés.)
Dépaquetage de apache2-mpm-prefork (à partir de
.../apache2-mpm-prefork_2.2.9-10+lenny3_i386.deb) ...
Sélection du paquet libapache2-mod-php5 précédemment désélectionné.
Dépaquetage de libapache2-mod-php5 (à partir de
.../libapache2-mod-php5_5.2.6.dfsg.1-1+lenny3_i386.deb) ...
Paramétrage de apache2-mpm-prefork (2.2.9-10+lenny3) ...
Starting web server: apache2apache2: Could not reliably determine the
server's fully qualified domain name, using 127.0.0.1 for ServerName
.
Paramétrage de libapache2-mod-php5 (5.2.6.dfsg.1-1+lenny3) ...
Reloading web server config: apache2apache2: Could not reliably
determine the server's fully qualified domain name, using 127.0.0.1
for ServerName
.
ultimate:~# a2enmod php5
Module php5 already enabled
ultimate:~# mc /etc/apache2

ultimate:~# apt-get install php5
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
php5 est déjà la plus récente version disponible.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 195 non mis à
jour.
ultimate:~#

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS









--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Julien
Le #19668511
Le mardi 30 juin 2009 à 10:52 +0200, Aux Saveurs Gourmandes a écrit :
/usr/lib/apache2/modules/libphp5.so



est-ce que ce fichier existe sur ton serveur ?

sinon : aptitude reinstall libapache2-mod-php5

peut être un ldconfig suffit ?

Julien.


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists Vous pouvez aussi ajouter le mot
``spam'' dans vos champs "From" et "Reply-To:"

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Publicité
Poster une réponse
Anonyme